package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Philip
 * @since 2021-08-07
 */

@TableName("MESSAGE_TYPE_USER_GROUP")

public class MessageTypeUserGroup extends Model<MessageTypeUserGroup> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("MESSAGE_TYPE_BO")
   private String messageTypeBo;
   @TableField("USER_GROUP_BO")
   private String userGroupBo;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getMessageTypeBo() {
      return messageTypeBo;
   }

   public void setMessageTypeBo(String messageTypeBo) {
      this.messageTypeBo = messageTypeBo;
   }

   public String getUserGroupBo() {
      return userGroupBo;
   }

   public void setUserGroupBo(String userGroupBo) {
      this.userGroupBo = userGroupBo;
   }

public static final String HANDLE = "HANDLE";

public static final String MESSAGE_TYPE_BO = "MESSAGE_TYPE_BO";

public static final String USER_GROUP_BO = "USER_GROUP_BO";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "MessageTypeUserGroup{" +
         "handle = " + handle +
         ", messageTypeBo = " + messageTypeBo +
         ", userGroupBo = " + userGroupBo +
         "}";
   }
}